unit Uabout;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, LtLabel, Uutils, JobCommon;

type
  TAboutDialog = class(TForm)
    Label1: TLabel;
    LightLabel1: TLightLabel;
    Label2: TLabel;
    Label3: TLabel;
    ListDEF: TListBox;
    Label4: TLabel;
    JobSeedList: TListBox;
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }
    procedure AddJobSeed(JobClass : TJobclass);
  public
    { Public 錾 }
  end;

var
  AboutDialog: TAboutDialog;

implementation

{$R *.dfm}

Uses
  Umain;

procedure TAboutDialog.AddJobSeed(JobClass: TJobclass);
var
  TempSeedlist : TStringList;
  i : integer;
begin
  TempSeedlist := TStringList.Create;
  try
    JobSeedList.Items.Add('['+ JobClass.ClassName + ']');
    TempSeedlist.Text := JobClass.GetCalcSeedList;
    JobSeedList.Items.AddStrings(TempSeedlist);

    //StringReplaceDelphi4ȍ~
    for i:=0 to JobSeedList.Count-1 do
    begin
      JobSeedList.Items.Strings[i] := StringReplace(JobSeedList.Items.Strings[i],'-1','Null',[rfReplaceAll]);
    end;

    JobSeedList.Items.Add('');
  finally
    TempSeedlist.Free;
  end;
end;

procedure TAboutDialog.FormCreate(Sender: TObject);
Var
  hFile : Integer;
  Dos : Integer;
  FileData : TDateTime;
  Path: array[0..MAX_PATH *2] of Char;
begin
  //TLightLabel.DestroyύX܂
  //ݒ肪ۑȂ̂ōĐݒ肷
  LightLabel1.Color := clBtnFace;

  //@\Ė(? ̂ōĐݒ
  LightLabel1.ShowHint := True;

  Label3.Caption := Label3.Caption + '(CompilerVersion' + FormatFloat('#,##0.00',CompilerVersion) + ')';
  GetModuleFileName(0,Path,MAX_PATH);
  hFile :=FileOpen(Path,0);
  Dos :=FileGetDate(hFile);
  FileClose(hFile);
  FileData :=FileDateToDateTime(Dos);

  AddJobSeed(MainForm.Novice);
  AddJobSeed(MainForm.Warrior);
  AddJobSeed(MainForm.Knight);
  AddJobSeed(MainForm.Priest);
  AddJobSeed(MainForm.Magician);
  AddJobSeed(MainForm.Pierro);

{$IFDEF Release}
  MemoDEF.Items.Add('Release');

{$ELSE}
  Label1.Caption := Label1.Caption + ':' + 'NightlyBuild';
  ListDEF.Items.Add('NightlyBuild');
{$ENDIF}
  Label2.Caption := 'BuildDate:' + DateTostr(FileData);



{$IFDEF MemCheckStackTrace}
  ListDEF.Items.Add('MemCheckStackTrace');
{$ENDIF}

{$IFDEF LoadIniJobData}
  ListDEF.Items.Add('LoadIniJobData');
{$ENDIF}

{$IFDEF DEBUG_AUTO}
  ListDEF.Items.Add('DEBUG_AUTO');
{$ENDIF}

{$IFDEF DEBUG_ENABLE}
  ListDEF.Items.Add('DEBUG_ENABLE');
{$ENDIF}

{$IFDEF DEBUG_SILENT}
  ListDEF.Items.Add('DEBUG_SILENT');
{$ENDIF}

end;

end.
