unit JobPierro;

//|lclass

interface

uses
   Classes, SysUtils, JobCommon, Misc, Uutils;

type
  TPierro = Class(TjobClass)
  private
    function GetfRecoveryAp: double;
    function GetfRecoveryHp: double;
    procedure SetfRecoveryAp(const Value: double);
    procedure SetfRecoveryHp(const Value: double);
  public
    constructor Create;
    destructor Destroy; override;

    //procedure DataChange;override;
    
    property fRecoveryHp: double read GetfRecoveryHp write SetfRecoveryHp;
    property fRecoveryAp: double read GetfRecoveryAp write SetfRecoveryAp;
  published

  end;

implementation

{ TPierro }

constructor TPierro.Create;
begin
  inherited;
{$IFDEF LoadIniJobData}

{$ELSE}
  Self.SetJobDatas(opHP,50,10,20);
  Self.SetJobDatas(opAP,30,8,5);
  Self.SetJobDatas(opATTACK,5,1.0,0.5);
  Self.SetJobDatas(opMAGIC,0,1.0,0);
  Self.SetJobDatas(opHIT,40,1.0,1.15);
  Self.SetJobDatas(opEVASION,20,0.4,1.8);
  Self.SetJobDatas(opCRITICAL,0,0.2,0);
  Self.SetJobDatas(opRHP,-1,-1,-1);
  Self.SetJobDatas(opRAP,-1,-1,-1);
{$ENDIF}
  inherited UseSkillLv := False;
end;

destructor TPierro.Destroy;
begin

  inherited;
end;

function TPierro.GetfRecoveryAp: double;
begin
  Result := inherited fRecoveryAp;
end;

function TPierro.GetfRecoveryHp: double;
begin
  Result := inherited fRecoveryHp;
end;

procedure TPierro.SetfRecoveryAp(const Value: double);
begin
  inherited fRecoveryAp := Value;
end;

procedure TPierro.SetfRecoveryHp(const Value: double);
begin
  inherited fRecoveryHp := Value;
end;

end.
 