unit Misc;

interface

type
  PSeed = ^ASeed;
    ASeed = record
      fSeedA     : double;
      fSeedB     : double;
      fSeedC     : double;
      fFixedA  : double;
      fStatusA : double;
    end;


type
  PJob = ^AJob;
    AJob = record
      PJobID    : integer;
      PHp       : PSeed;
      PAp       : PSeed;
      PAttack   : PSeed;
      PMagic    : PSeed;
      PHit      : PSeed;
      PEvasion  : PSeed;
      PCritical : PSeed;
      PRhp      : PSeed;
      PRap      : PSeed;
    end;

type
  PStatus = ^AStatus;
    AStatus = record
      intLv   : integer;
      intStr  : integer;
      intCon  : integer;
      intInt  : integer;
      intPhy  : integer;
      intMen  : integer;
      intSen  : integer;
      intFam  : integer;
    end;

  TJobOption = (opHP,opAP,opATTACK,opMAGIC,opHIT,opEVASION,opCRITICAL,opRHP,opRAP);
  TJobOptions = set of TJobOption;

  TState = (stLv,stStr,stCon,stInt,stPhy,stMen,stSen,stFam);
  TStatus = set of TState;


  //Delphi6ȏォBȂ̂ňꉞ`
  TDoubleDynArray       = array of Double;

const
  AttentionHint = 'LV10ȉł͓]EłȂׁA' + #13#10 +
                'Ẽf[^gpČvZĂ܂B';

  DefaultStatusBonus = 5;
  DefaultStatusTotal = 30;
  DefaultStatus = DefaultStatusBonus + DefaultStatusTotal;

{
resourcestring
}

implementation

end.
