program SealCalc;

uses
  memcheck,
  SysUtils,
  Forms,
  Umain in 'Umain.pas' {MainForm},
  JobNovice in 'Class\JobNovice.pas',
  JobKnight in 'Class\JobKnight.pas',
  JobPierro in 'Class\JobPierro.pas',
  JobMagician in 'Class\JobMagician.pas',
  JobWarrior in 'Class\JobWarrior.pas',
  JobPriest in 'Class\JobPriest.pas',
  JobCommon in 'Class\JobCommon.pas',
  JobCraftman in 'Class\JobCraftman.pas',
  Uabout in 'Uabout.pas' {AboutDialog};

  //
  //EasyDOM in 'Class\EasyDOM.pas',
  //
  //Equipment in 'Class\Equipment.pas';

{$R *.res}

{$IFDEF MemCheckStackTrace}
procedure GetExceptInfoFunc(Obj: TObject; var Message: string; var ExceptionRecord: SysUtils.PExceptionRecord);
begin
  if Obj is Exception then
  begin
    Message := Exception(Obj).Message;
    if Obj is EExternal then
      ExceptionRecord := EExternal(Obj).ExceptionRecord;
  end;
end;

procedure SetExceptMessageFunc(Obj: TObject; const NewMessage: string);
begin
  if Obj is Exception then
    Exception(Obj).Message := NewMessage;
end;
{$ENDIF}

begin
{$IFDEF MemCheckStackTrace}
  // OnhCXg[
  MemCheckInstallExceptionHandler(GetExceptInfoFunc, SetExceptMessageFunc);
{$ENDIF}

  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.
