unit JobCraftman;

//bmclass

interface

uses
   Classes, SysUtils, JobCommon, Misc, Uutils;

type
  TCraftman = Class(TjobClass)
  private
    function GetfRecoveryAp: double;
    function GetfRecoveryHp: double;
    procedure SetfRecoveryAp(const Value: double);
    procedure SetfRecoveryHp(const Value: double);
  public
    constructor Create;
    destructor Destroy; override;

    //procedure DataChange;override;

    property fRecoveryHp: double read GetfRecoveryHp write SetfRecoveryHp;
    property fRecoveryAp: double read GetfRecoveryAp write SetfRecoveryAp;
  published

  end;
implementation

{ TCraftman }

constructor TCraftman.Create;
begin
  inherited;
{$IFDEF LoadIniJobData}

{$ELSE}
  Self.SetJobDatas(opHP,0,0,0);
  Self.SetJobDatas(opAP,0,0,0);
  Self.SetJobDatas(opATTACK,0,0,0);
  Self.SetJobDatas(opMAGIC,0,0,0);
  Self.SetJobDatas(opHIT,0,0,0);
  Self.SetJobDatas(opEVASION,0,0,0);
  Self.SetJobDatas(opCRITICAL,0,0,0);
  Self.SetJobDatas(opRHP,-1,-1,-1);
  Self.SetJobDatas(opRAP,-1,-1,-1);
{$ENDIF}
  inherited UseSkillLv := False;
end;

destructor TCraftman.Destroy;
begin

  inherited;
end;

function TCraftman.GetfRecoveryAp: double;
begin
  Result := inherited fRecoveryAp;
end;

function TCraftman.GetfRecoveryHp: double;
begin
  Result := inherited fRecoveryHp;
end;

procedure TCraftman.SetfRecoveryAp(const Value: double);
begin
  inherited fRecoveryAp := Value;
end;

procedure TCraftman.SetfRecoveryHp(const Value: double);
begin
  inherited fRecoveryHp := Value;
end;

end.
 