unit JobPriest;

//mclass

interface

uses
   Classes, SysUtils, JobCommon, Misc, Uutils;

type
  TPriest = Class(TjobClass)
  private
    function GetfRecoveryAp: double;
    function GetfRecoveryHp: double;
    procedure SetfRecoveryAp(const Value: double);
    procedure SetfRecoveryHp(const Value: double);
  public
    constructor Create;
    destructor Destroy; override;

    //procedure DataChange;override;
    
    property fRecoveryHp: double read GetfRecoveryHp write SetfRecoveryHp;
    property fRecoveryAp: double read GetfRecoveryAp write SetfRecoveryAp;
  published

  end;

implementation

{ TPriest }

constructor TPriest.Create;
begin
  inherited;
{$IFDEF LoadIniJobData}

{$ELSE}
  Self.SetJobDatas(opHP,50,10,20);
  Self.SetJobDatas(opAP,30,10,5);
  Self.SetJobDatas(opATTACK,5,1.0,0);
  Self.SetJobDatas(opMAGIC,0,2.0,0);
  Self.SetJobDatas(opHIT,30,1.5,1.9);
  Self.SetJobDatas(opEVASION,10,0.4,1.8);
  Self.SetJobDatas(opCRITICAL,0,0.1,0);
  Self.SetJobDatas(opRHP,-1,-1,-1);
  Self.SetJobDatas(opRAP,-1,-1,-1);
{$ENDIF}
  inherited UseSkillLv := False;
end;

destructor TPriest.Destroy;
begin

  inherited;
end;

function TPriest.GetfRecoveryAp: double;
begin
  Result := inherited fRecoveryAp;
end;

function TPriest.GetfRecoveryHp: double;
begin
  Result := inherited fRecoveryHp;
end;

procedure TPriest.SetfRecoveryAp(const Value: double);
begin
  inherited fRecoveryAp := Value;
end;

procedure TPriest.SetfRecoveryHp(const Value: double);
begin
  inherited fRecoveryHp := Value;
end;

end.
 