unit JobWarrior;

//mclass

interface

uses
   Classes, SysUtils, JobCommon, Misc, Uutils;

type
  TWarrior = Class(TjobClass)
  private
    function GetfRecoveryAp: double;
    function GetfRecoveryHp: double;
    procedure SetfRecoveryAp(const Value: double);
    procedure SetfRecoveryHp(const Value: double);
  public
    constructor Create;
    destructor Destroy; override;

    //procedure DataChange;override;
    
    property fRecoveryHp: double read GetfRecoveryHp write SetfRecoveryHp;
    property fRecoveryAp: double read GetfRecoveryAp write SetfRecoveryAp;
  published

  end;

implementation

{ TWarrior }

constructor TWarrior.Create;
begin
  inherited;
{$IFDEF LoadIniJobData}

{$ELSE}
  Self.SetJobDatas(opHP,50,20,20);
  Self.SetJobDatas(opAP,30,3,5);
  Self.SetJobDatas(opATTACK,5,0.667,0);
  Self.SetJobDatas(opMAGIC,0,0.77,0);
  Self.SetJobDatas(opHIT,20,1.0,1.3);
  Self.SetJobDatas(opEVASION,10,0.4,1.8);
  Self.SetJobDatas(opCRITICAL,0,0.4,0);
  Self.SetJobDatas(opRHP,-1,-1,-1);
  Self.SetJobDatas(opRAP,-1,-1,-1);
{$ENDIF}
  inherited UseSkillLv := False;
end;

destructor TWarrior.Destroy;
begin

  inherited;
end;

function TWarrior.GetfRecoveryAp: double;
begin
  Result := inherited fRecoveryAp;
end;

function TWarrior.GetfRecoveryHp: double;
begin
  Result := inherited fRecoveryHp;
end;

procedure TWarrior.SetfRecoveryAp(const Value: double);
begin
  inherited fRecoveryAp := Value;
end;

procedure TWarrior.SetfRecoveryHp(const Value: double);
begin
  inherited fRecoveryHp := Value;
end;

end.
 